Bug 148815 - regex API's incompatible with Apache httpd-devel
regex API's incompatible with Apache httpd-devel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 15:27 EST by Kenneth Porter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 11:44:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenneth Porter 2005-02-15 15:27:10 EST
To recreate:

echo > foo.c << EOF
#include "php.h"
#include "httpd.h"
EOF
gcc `php-config --includes` `apr-config --includes` -I
/usr/include/httpd -c foo.c

Using:

php-devel-4.3.10-2.4
httpd-devel-2.0.51-2.9

As a hack, I suppressed inclusion of Apache's regex file with:

#define _PCREPOSIX_H

From Joe Orton on Fedora-devel-list:

> PHP will not #include <regex.h> in FC3 and later.  If you file a bug
> against FC2 php I can probably fix it there for future updates.
> 
> (the fact that both httpd and PHP think it's a good idea to reimplement
> the POSIX regex interface in random different ways is an accident
> waiting to happen; I've fixed it in the httpd 2.1 branch but PHP is
> another matter)
Comment 1 Matthew Miller 2005-04-26 12:19:54 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Joe Orton 2005-06-21 11:44:41 EDT
[This is a mass bug update]

Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 or FC4 updates,
reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.